* [ltt-dev] [UST PATCH] Test for the presence of the tracepoint_test file before running the test
@ 2011-02-18 20:52 Yannick Brosseau
2011-02-18 21:34 ` Mathieu Desnoyers
0 siblings, 1 reply; 2+ messages in thread
From: Yannick Brosseau @ 2011-02-18 20:52 UTC (permalink / raw)
Since the test is disabled in the makefile, don't try to execute it in the script
Signed-off-by: Yannick Brosseau <yannick.brosseau at gmail.com>
---
tests/tracepoint/run | 5 +++++
1 files changed, 5 insertions(+), 0 deletions(-)
diff --git a/tests/tracepoint/run b/tests/tracepoint/run
index f0d9ed1..d63f42d 100755
--- a/tests/tracepoint/run
+++ b/tests/tracepoint/run
@@ -2,6 +2,11 @@
TESTDIR=$(dirname $0)/..
+if [ ! -x "$TESTDIR/tracepoint/tracepoint_test" ]; then
+ echo "tracepoint_test executable is not present"
+ exit 1
+fi
+
source $TESTDIR/test_functions.sh
source $TESTDIR/tap.sh
--
1.7.2.3
^ permalink raw reply [flat|nested] 2+ messages in thread
* [ltt-dev] [UST PATCH] Test for the presence of the tracepoint_test file before running the test
2011-02-18 20:52 [ltt-dev] [UST PATCH] Test for the presence of the tracepoint_test file before running the test Yannick Brosseau
@ 2011-02-18 21:34 ` Mathieu Desnoyers
0 siblings, 0 replies; 2+ messages in thread
From: Mathieu Desnoyers @ 2011-02-18 21:34 UTC (permalink / raw)
* Yannick Brosseau (yannick.brosseau at gmail.com) wrote:
> Since the test is disabled in the makefile, don't try to execute it in the script
>
> Signed-off-by: Yannick Brosseau <yannick.brosseau at gmail.com>
merged.
> ---
> tests/tracepoint/run | 5 +++++
> 1 files changed, 5 insertions(+), 0 deletions(-)
>
> diff --git a/tests/tracepoint/run b/tests/tracepoint/run
> index f0d9ed1..d63f42d 100755
> --- a/tests/tracepoint/run
> +++ b/tests/tracepoint/run
> @@ -2,6 +2,11 @@
>
> TESTDIR=$(dirname $0)/..
>
> +if [ ! -x "$TESTDIR/tracepoint/tracepoint_test" ]; then
> + echo "tracepoint_test executable is not present"
> + exit 1
> +fi
> +
> source $TESTDIR/test_functions.sh
> source $TESTDIR/tap.sh
>
> --
> 1.7.2.3
>
>
> _______________________________________________
> ltt-dev mailing list
> ltt-dev at lists.casi.polymtl.ca
> http://lists.casi.polymtl.ca/cgi-bin/mailman/listinfo/ltt-dev
>
--
Mathieu Desnoyers
Operating System Efficiency R&D Consultant
EfficiOS Inc.
http://www.efficios.com
^ permalink raw reply [flat|nested] 2+ messages in thread
end of thread, other threads:[~2011-02-18 21:34 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2011-02-18 20:52 [ltt-dev] [UST PATCH] Test for the presence of the tracepoint_test file before running the test Yannick Brosseau
2011-02-18 21:34 ` Mathieu Desnoyers
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox